import { FocusableOption, FocusMonitor, FocusOrigin } from '@angular/cdk/a11y';
import { ElementRef, OnDestroy } from '@angular/core';
import { MenuComponent } from './menu.component';
export declare class MenuItemComponent implements FocusableOption, OnDestroy {
    private _elementRef;
    private _focusMonitor?;
    private _parentMenu?;
    /** @prop Active prop to determine styles | false */
    active: boolean;
    /** @prop Determines if MenuItem is the header | false */
    isHeader: boolean;
    /** @prop Initial selected value within SubMenu | '' */
    selectedValue: string;
    /** Whether the menu item acts as a trigger for a sub-menu. */
    triggersSubmenu: boolean;
    readonly listItemElement: HTMLElement;
    constructor(_elementRef: ElementRef<HTMLElement>, _focusMonitor?: FocusMonitor, _parentMenu?: MenuComponent);
    ngOnDestroy(): void;
    focus(origin?: FocusOrigin): void;
    getLabel(): string;
    onClick(_: MouseEvent): void;
    onKeydown(event: KeyboardEvent): void;
}
